Name:		manslide
Summary:	Graphical slideshow creation program
Version:	2.0.3
Release:	%mkrel 17
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-mga-default-lang.patch
Patch1:		%{name}-%{version}-mga-english.patch
Patch2:		%{name}-%{version}-mga-qt5.patch
Patch3:		%{name}-%{version}-mga-qttranslations.patch
URL:		http://qt-apps.org/content/show.php/Manslide?content=55945
Group:		Graphics/Photography
License:	GPLv2+

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5Widgets)
Requires:	sox
Requires:	imagemagick
Requires:	mencoder
Requires:	mplayer
Requires:	netpbm
Requires:	mjpegtools
Requires:	vorbis-tools
Requires:	qttranslations5

%description
Manslide is a slideshow creation application which makes it easy to
produce attractive slideshows with optional background music. Manslide
uses the QT5 toolkit.

%prep
%setup -q
%autopatch -p1
rename M m Manslide.pro
%{_qt5_bindir}/moc mainfrm.h > moc_mainfrm.cpp
%{_qt5_bindir}/moc tetrahedron.h > moc_tetrahedron.cpp
# fix spurious-executable-perm
chmod -x *.cpp
chmod -x *.h
# fix non-readable 0600L
chmod 644 BIB_ManSlide/Luma/double_horizontal.png

%build
%qmake_qt5
%make_build

%install
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m644 icone.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -m755 %{name} -D %{buildroot}%{_datadir}/%{name}/%{name}
install -m644 *.qm %{buildroot}%{_datadir}/%{name}/
cp -R Interface %{buildroot}%{_datadir}/%{name}/
cp -R BIB_ManSlide %{buildroot}%{_datadir}/%{name}/
install -d %{buildroot}%{_bindir}
ln -s %{_datadir}/%{name}/%{name} %{buildroot}%{_bindir}/%{name}

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Manslide
GenericName=Slideshow generator
GenericName[ru]=Создание слайдшоу
GenericName[cy]=Cynhyrchydd sioesau tryloywderau
GenericName[et]=Slaidiseansi looja
GenericName[hu]=Diasorozat-készítő
GenericName[ja]=スライドショー作成ツール
GenericName[nl]=Generator/datum
GenericName[pl]=Generator prezentacji
GenericName[tl]=Panglikha ng Code
GenericName[uz@Latn]=Slayd shou
GenericName[it]=Creatore di presentazioni
Comment=Graphical slideshow creation program
Comment[ru]=Программа создания графического слайдшоу
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Graphics;Qt;Photography;
EOF

%files
%{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 2.0.3-17.mga8
+ Revision: 1659052
- Rebuild for new Qt5

* Thu Jul 09 2020 ovitters <ovitters> 2.0.3-16.mga8
+ Revision: 1603629
- drop Mageia specific category from desktop file (mga#2449)

* Sat Feb 15 2020 umeabot <umeabot> 2.0.3-15.mga8
+ Revision: 1524824
- Mageia 8 Mass Rebuild

* Sun Mar 31 2019 umeabot <umeabot> 2.0.3-14.mga7
+ Revision: 1383348
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.0.3-13.mga7
+ Revision: 1299452
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Wed Feb 24 2016 alexl <alexl> 2.0.3-12.mga6
+ Revision: 978526
- use english langs instead of french by default (update default-lang.patch)
- switch on qt5
- use qt translations from qttranslations5 pkg

* Tue Feb 09 2016 umeabot <umeabot> 2.0.3-11.mga6
+ Revision: 951684
- Mageia 6 Mass Rebuild

* Wed Jan 07 2015 alexl <alexl> 2.0.3-10.mga5
+ Revision: 809033
- updated desktop file

* Wed Oct 15 2014 umeabot <umeabot> 2.0.3-9.mga5
+ Revision: 746032
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 alexl <alexl> 2.0.3-8.mga5
+ Revision: 735429
- used icon from source instead of external
- default language is English instead of French (added default.lang.patch)
- updated English translation (added english.patch)
- added missing requires (netpbm, mjpegtools, vorbis-tools)
- fixed spurious-executable-perm and non-readable (rpmlint)
- don't install *.ts
- added Italian comment for desktop file

* Tue Sep 16 2014 umeabot <umeabot> 2.0.3-7.mga5
+ Revision: 682162
- Mageia 5 Mass Rebuild

* Tue Aug 05 2014 alexl <alexl> 2.0.3-6.mga5
+ Revision: 659999
- added GenericName in desktop file
- translated desktop file

* Mon Apr 14 2014 alexl <alexl> 2.0.3-5.mga5
+ Revision: 613986
- changed group
- clean spec
- added icon
- changed url's
+ steletch <steletch>
- Clean spec file
- imported package manslide


* Tue Aug 05 2008 Funda Wang <fundawang@mandriva.org> 2.0.3-4mdv2009.0
+ Revision: 263933
- rebuild for new compile flags

* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.3-3mdv2009.0
+ Revision: 251857
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Mar 09 2008 Funda Wang <fundawang@mandriva.org> 2.0.3-1mdv2008.1
+ Revision: 182755
- New version 2.0.3

* Sun Mar 02 2008 Funda Wang <fundawang@mandriva.org> 2.0.2-1mdv2008.1
+ Revision: 177543
- New version 2.0.2

  + Frederik Himpe <fhimpe@mandriva.org>
    - Add X-MandrivaLinux-CrossDesktop category to desktop entry:
      There's no GTK+/GNOME similar application, so no need to hide
      it in the More submenu for GNOME users.

* Sun Feb 24 2008 Funda Wang <fundawang@mandriva.org> 2.0.1-1mdv2008.1
+ Revision: 174317
- New version 2.0.1

* Mon Feb 18 2008 Funda Wang <fundawang@mandriva.org> 2.0-1mdv2008.1
+ Revision: 171426
- New version 2.0

* Wed Feb 13 2008 Funda Wang <fundawang@mandriva.org> 1.9.13-1mdv2008.1
+ Revision: 167088
- New version 1.9.13

* Sat Feb 09 2008 Funda Wang <fundawang@mandriva.org> 1.9.11-1mdv2008.1
+ Revision: 164403
- New version 1.9.11

* Sun Feb 03 2008 Funda Wang <fundawang@mandriva.org> 1.9.10-1mdv2008.1
+ Revision: 161801
- New version 1.9.10

* Mon Jan 28 2008 Funda Wang <fundawang@mandriva.org> 1.9.9-1mdv2008.1
+ Revision: 159052
- New version 1.9.9

* Sat Jan 26 2008 Funda Wang <fundawang@mandriva.org> 1.9.8-1mdv2008.1
+ Revision: 158394
- New version 1.9.8

* Sun Jan 20 2008 Funda Wang <fundawang@mandriva.org> 1.9.7-1mdv2008.1
+ Revision: 155203
- New version 1.9.7

* Sat Jan 19 2008 Funda Wang <fundawang@mandriva.org> 1.9.6-1mdv2008.1
+ Revision: 155017
- New version 1.9.6
- fix URL

* Thu Jan 10 2008 Funda Wang <fundawang@mandriva.org> 1.9.5-1mdv2008.1
+ Revision: 147488
- update to new version 1.9.5

* Sat Jan 05 2008 Funda Wang <fundawang@mandriva.org> 1.9.4-1mdv2008.1
+ Revision: 145751
- New version 1.9.4

* Sat Jan 05 2008 Funda Wang <fundawang@mandriva.org> 1.9.3-1mdv2008.1
+ Revision: 145653
- New version 1.9.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Funda Wang <fundawang@mandriva.org> 1.9.1-1mdv2008.1
+ Revision: 119111
- New version 1.9.1

* Sun Nov 18 2007 Funda Wang <fundawang@mandriva.org> 1.9-1mdv2008.1
+ Revision: 109819
- update to new version 1.9

* Tue Nov 06 2007 Funda Wang <fundawang@mandriva.org> 1.8-1mdv2008.1
+ Revision: 106309
- New version 1.8

* Sat Nov 03 2007 Funda Wang <fundawang@mandriva.org> 1.7.2-1mdv2008.1
+ Revision: 105530
- New version 1.7.2

* Sun Sep 02 2007 Funda Wang <fundawang@mandriva.org> 1.7-1mdv2008.0
+ Revision: 77744
- New version 1.7

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Wed Aug 22 2007 Adam Williamson <awilliamson@mandriva.com> 1.6-2mdv2008.0
+ Revision: 68817
- add a bunch of missing files

* Fri Aug 17 2007 Adam Williamson <awilliamson@mandriva.com> 1.6-1mdv2008.0
+ Revision: 64688
- try to fix icon
- Fedora license policy
- new release 1.6

* Wed Jun 20 2007 Adam Williamson <awilliamson@mandriva.com> 1.5.9-1mdv2008.0
+ Revision: 41673
- new release 1.5.9; drop X-Mandriva menu category

* Thu May 17 2007 Adam Williamson <awilliamson@mandriva.com> 1.5.7-1mdv2008.0
+ Revision: 27697
- Import manslide

